/*
 * Copyright James Morse Y2K +1, +2
 * This is GPLed software 
 * please read COPYING
 *
 */

#ifndef LOOK_H
#define LOOK_H 

#define YES 1
#define NO 0

/* the main function ...
 * examine environment decide what to do ...
 */
int look (void);

/* helper funtions inlined for speed */
inline float look_b (int, int, int, int);
inline int look_c (int);
inline int is_bug (char);
inline int is_pass (char);
inline float motivate (char, int);
inline char peek (void);

#endif /* LOOK_H */